> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers

> List customers and filter them by partner or any custom properties.
            
To filter customers on custom property, just add the property with its exact value as a query parameter:  
`myCustomProp=ThisIsAValue`  
This will return the customers where myCustomProp exactly matches the provided value.



## OpenAPI

````yaml /openapi.json get /v3/customers
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/customers:
    get:
      tags:
        - Customers
      summary: List customers
      description: "List customers and filter them by partner or any custom properties.\r\n            \r\nTo filter customers on custom property, just add the property with its exact value as a query parameter:  \r\n`myCustomProp=ThisIsAValue`  \r\nThis will return the customers where myCustomProp exactly matches the provided value."
      parameters:
        - name: partner_id
          in: query
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: offset
          in: query
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          schema:
            type: integer
            format: int32
        - name: sort_by
          in: query
          schema:
            type: string
        - name: order_by
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Customers returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerListResponseDto'
              example:
                items:
                  - id: 1
                    creationDate: '2020-04-22T10:05:30Z'
                    properties:
                      email: john@doe.com
                    sourcePartnerId: 42
                    sourceLeadId: null
                    status: Unknown
                    source: null
                    isDeleted: false
                    deletionDate: null
                paginationSkipCount: 0
                totalCount: 0
      security:
        - oauth2:
            - Customer.View
            - Api
components:
  schemas:
    CustomerListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CustomerDto'
          nullable: true
        paginationSkipCount:
          type: integer
          format: int32
        totalCount:
          type: integer
          description: >-
            Gets or sets the total number of items that could be returned by
            this command (without pagination).
          format: int32
      additionalProperties: false
    CustomerDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        creationDate:
          type: string
          format: date-time
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        sourcePartnerId:
          type: integer
          format: int32
          nullable: true
        sourceLeadId:
          type: integer
          format: int32
          nullable: true
        status:
          $ref: '#/components/schemas/CustomerStatus'
        source:
          $ref: '#/components/schemas/CustomerSource'
        isDeleted:
          type: boolean
        deletionDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    CustomerStatus:
      enum:
        - Unknown
        - New
        - Paying
        - Canceled
      type: string
    CustomerSource:
      enum:
        - Unknown
        - OnlineReferral
        - Lead
        - Deal
      type: string

````